# TdApi.PageBlockTableCell (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockTableCell

Package it.tdlight.jni

# Class TdApi.PageBlockTableCell

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlockTableCell

Enclosing class:
  TdApi

    public static class TdApi.PageBlockTableCell
    extends TdApi.Object

Represents a cell of a table.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.PageBlockHorizontalAlignment` | `align` | Horizontal cell content alignment.
`int` | `colspan` | The number of columns the cell spans.
`static int` | `CONSTRUCTOR` |
`boolean` | `isHeader` | True, if it is a header cell.
`int` | `rowspan` | The number of rows the cell spans.
`TdApi.RichText` | `text` | Cell text; may be null.
`TdApi.PageBlockVerticalAlignment` | `valign` | Vertical cell content alignment.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockTableCell()` | Represents a cell of a table.
`PageBlockTableCell​(TdApi.RichText text, boolean isHeader, int colspan, int rowspan, TdApi.PageBlockHorizontalAlignment align, TdApi.PageBlockVerticalAlignment valign)` | Represents a cell of a table.
`PageBlockTableCell​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.RichText text
Cell text; may be null. If the text is null, then the cell must be invisible.

### isHeader

public boolean isHeader
True, if it is a header cell.

### colspan

public int colspan
The number of columns the cell spans.

### rowspan

public int rowspan
The number of rows the cell spans.

### align

public TdApi.PageBlockHorizontalAlignment align
Horizontal cell content alignment.

### valign

public TdApi.PageBlockVerticalAlignment valign
Vertical cell content alignment.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockTableCell

public PageBlockTableCell()
Represents a cell of a table.

### PageBlockTableCell

public PageBlockTableCell​(TdApi.RichText text, boolean isHeader, int colspan, int rowspan, TdApi.PageBlockHorizontalAlignment align, TdApi.PageBlockVerticalAlignment valign)
Represents a cell of a table.

Parameters:
  `text` - RichText Cell text; may be null. If the text is null, then the cell must be invisible.
  `isHeader` - boolean True, if it is a header cell.
  `colspan` - int The number of columns the cell spans.
  `rowspan` - int The number of rows the cell spans.
  `align` - PageBlockHorizontalAlignment Horizontal cell content alignment.
  `valign` - PageBlockVerticalAlignment Vertical cell content alignment.

### PageBlockTableCell

public PageBlockTableCell​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`